org.springframework.data.repository.config

## Class RepositoryConfigurationDelegate

- java.lang.Object
- - org.springframework.data.repository.config.RepositoryConfigurationDelegate

    public class RepositoryConfigurationDelegate
    extends Object

Delegate for configuration integration to reuse the general way of detecting repositories. Customization is done by providing a configuration format specific `RepositoryConfigurationSource` (currently either XML or annotations are supported). The actual registration can then be triggered for different `RepositoryConfigurationExtension` s.

Author:
  Oliver Gierke, Jens Schauder, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`RepositoryConfigurationDelegate(RepositoryConfigurationSource configurationSource, ResourceLoader resourceLoader, Environment environment)` Creates a new `RepositoryConfigurationDelegate` for the given `RepositoryConfigurationSource` and `ResourceLoader` and `Environment`.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<BeanComponentDefinition>` `registerRepositoriesIn(BeanDefinitionRegistry registry, RepositoryConfigurationExtension extension)` Registers the found repositories in the given `BeanDefinitionRegistry`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryConfigurationDelegate

    public RepositoryConfigurationDelegate(RepositoryConfigurationSource configurationSource,
                                           ResourceLoader resourceLoader,
                                           Environment environment)

Creates a new `RepositoryConfigurationDelegate` for the given `RepositoryConfigurationSource` and `ResourceLoader` and `Environment`.

Parameters:
  `configurationSource` - must not be null.
  `resourceLoader` - must not be null.
  `environment` - must not be null.

### Method Detail

#### registerRepositoriesIn

    public List<BeanComponentDefinition> registerRepositoriesIn(BeanDefinitionRegistry registry,
                                                                RepositoryConfigurationExtension extension)

Registers the found repositories in the given `BeanDefinitionRegistry`.

Parameters:
  `registry` -
  `extension` -
Returns:
  `BeanComponentDefinition`s for all repository bean definitions found.